Bug 1246544 - Issue with restarting geo-replication crashing data replication
Summary: Issue with restarting geo-replication crashing data replication
Keywords:
Status: CLOSED INSUFFICIENT_DATA
Alias: None
Product: GlusterFS
Classification: Community
Component: geo-replication
Version: 3.7.2
Hardware: x86_64
OS: Linux
unspecified
medium
Target Milestone: ---
Assignee: Kotresh HR
QA Contact:
URL:
Whiteboard:
: 1246543 (view as bug list)
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2015-07-24 14:32 UTC by Sachikanta Mishra
Modified: 2016-04-18 14:25 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2016-04-18 14:25:48 UTC
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:


Attachments (Terms of Use)

Description Sachikanta Mishra 2015-07-24 14:32:31 UTC
Description of problem: When I am restarting geo-replication then data replication between master and slave volume is not happening and status showing as Faulty.


Version-Release number of selected component (if applicable): I am using Glusterfs 3.7.2 release


How reproducible:


Steps to Reproduce:
1.
2.
3.

Actual results:


Expected results:


Additional info:
First time when i am starting geo-replication between Master and slave volume it's working fine, when i am stopping and starting again geo-replication status is appearing as Faulty and data replication is not happening, getting errors in log file under /var/log/glusterfs/geo-replication/.

Could someone help on this please.

Comment 1 Sachikanta Mishra 2015-07-24 14:57:08 UTC
My Server details are:
[sachikanta@server01 ~]$ uname -a
Linux server01 2.6.32-504.23.4.el6.x86_64 #1 SMP Tue Jun 9 20:57:37 UTC 2015 x86_64 x86_64 x86_64 GNU/Linux

Glusterfs Details are:
[sachikanta@server01 ~]$ glusterfs --version
glusterfs 3.7.2 built on Jun 23 2015 12:13:11
Repository revision: git://git.gluster.com/glusterfs.git
Copyright (c) 2006-2013 Red Hat, Inc. <http://www.redhat.com/>
GlusterFS comes with ABSOLUTELY NO WARRANTY.
It is licensed to you under your choice of the GNU Lesser
General Public License, version 3 or any later version (LGPLv3
or later), or the GNU General Public License, version 2 (GPLv2),
in all cases as published by the Free Software Foundation.

Kindly let me know in case of anything else required that i can help you with.

Comment 2 Sachikanta Mishra 2015-07-24 14:59:01 UTC
*** Bug 1246543 has been marked as a duplicate of this bug. ***

Comment 3 Kotresh HR 2015-07-29 04:25:44 UTC
Please upload the geo-rep logs.

Comment 4 Aravinda VK 2015-12-29 10:51:24 UTC
Please post the error messages or upload log files.

Comment 5 Sachikanta Mishra 2016-04-18 14:25:48 UTC
I am closing this thread since we have closed the PoC and destroyed the servers.


Note You need to log in before you can comment on or make changes to this bug.